package net.mkonrad.synes.gui.elements.instruments;

import javax.media.j3d.Appearance;
import javax.media.j3d.Material;
import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;

import com.sun.j3d.utils.geometry.Box;
import com.sun.j3d.utils.geometry.Primitive;

import net.mkonrad.synes.data.Beat;
import net.mkonrad.synes.data.SynthObj;
import net.mkonrad.synes.gui.SceneCore;
import net.mkonrad.synes.gui.style.Colors;
import net.mkonrad.synes.util.DbgTools;

public class BoxShape extends AbstractInstrumentShape
{
  public BoxShape(SynthObj synthData, Point3f pos)
  {
    super(synthData);
    
    createAppearance();
    createPrimitive();
    
    init();
    initTransform3D(new Vector3f(pos));
    connectSceneGraphElements();
  }

  protected void createPrimitive()
  {
    _primitive = new Box(1.0f, SHAPE_WIDTH, 1.0f, _defaultPrimitiveFlags, _app);
  }
}
